from typing import TYPE_CHECKING

from boto3 import resource
from rgwadmin import RGWAdmin

from app.core.config import settings

if TYPE_CHECKING:
    from mypy_boto3_s3.service_resource import S3ServiceResource
else:
    S3ServiceResource = object

s3_resource: S3ServiceResource = resource(
    service_name="s3",
    endpoint_url=str(settings.OBJECT_GATEWAY_URI)[:-1],
    aws_access_key_id=settings.BUCKET_CEPH_ACCESS_KEY,
    aws_secret_access_key=settings.BUCKET_CEPH_SECRET_KEY,
    verify=str(settings.OBJECT_GATEWAY_URI).startswith("https"),
)
rgw = RGWAdmin(
    access_key=settings.USER_CEPH_ACCESS_KEY,
    secret_key=settings.USER_CEPH_SECRET_KEY,
    secure=str(settings.OBJECT_GATEWAY_URI).startswith("https"),
    server=str(settings.OBJECT_GATEWAY_URI).split("://")[-1][:-1],
)
