from pydantic import BaseModel, Field


class S3Key(BaseModel):
    """
    Schema for a S3 key associated with a user.
    """

    user: str = Field(
        ..., description="UID of the user of that access key", examples=["28c5353b8bb34984a8bd4169ba94c606"]
    )
    access_key: str = Field(..., description="ID of the S3 access key", examples=["CRJ6B037V2ZT4U3W17VC"])
    secret_key: str = Field(
        ...,
        description="Secret of the S3 access key",
        examples=["2F5uNTI1qvt4oAroXV0wWct8rWclL2QvFXKqSqjS"],
    )
